SWAPON(8)

NAME
swapon, swapoff - enable/disable devices and files for paging and swapping

SYNOPSIS
swapon [ options ] [specialfile...]
swapoff [-va] [specialfile...]

DESCRIPTION
swapon is used to specify devices on which paging and swapping are to take place. The device or file used is given by the specialfile parameter. It may be of the form -L label or -U uuid to indicate a device by label or uuid. Calls to swapon normally occur in the system boot scripts making all swap devices available, so that the paging and swapping activity is interleaved across several devices and files. swapoff disables swapping on the specified devices and files. When the -a flag is given, swapping is disabled on all known swap devices and files (as found in /proc/swaps or /etc/fstab).

-a, --all
    All devices marked as ``swap'' in /etc/fstab are made available, except for those with the ``noauto'' option. Devices that are already being used as swap are silently skipped.

-d, --discard [=policy]
    Enable swap discards, if the swap backing device supports the discard or trim operation. This may improve performance on some Solid State Devices, but often it does not. The option allows one to select between two available swap discard policies: --discard=once to perform a single-time discard operation for the whole swap area at swapon; or --discard=pages to discard freed swap pages before they are reused, while swapping. If no policy is selected, the default behavior is to enable both discard types. The /etc/fstab mount options discard, discard=once, or discard=pages may be also used to enable discard flags.

-e, --ifexists
    Silently skip devices that do not exist. The /etc/fstab mount option nofail may be also used to skip non-existing device.

-f, --fixpgsz
    Reinitialize (exec /sbin/mkswap) the swap space if its page size does not match that of the current running kernel. mkswap(2) initializes the whole device and does not check for bad blocks.

-h, --help
    Display help text and exit.

-L label
    Use the partition that has the specified label. (For this, access to /proc/partitions is needed.)

-p, --priority priority
    Specify the priority of the swap device. priority is a value between -1 and 32767. Higher numbers indicate higher priority. See swapon(2) for a full description of swap priorities. Add pri=value to the option field of /etc/fstab for use with swapon -a. When priority is not defined it defaults to -1.

-s, --summary
    Display swap usage summary by device. Equivalent to "cat /proc/swaps". Not available before Linux 2.1.25.

--show [column, ...]
    Display definable device table similar to --summary output. See --help output for column list.

--noheadings
    Do not print headings when displaying --show output.

--raw
    Display --show output without aligning table columns.

--bytes
    Display swap size in bytes in --show output instead of user friendly size and unit. -U uuid Use the partition that has the specified uuid.

-v, --verbose
    Be verbose.

-V, --version
    Display version information and exit.

NOTES
You should not use swapon on a file with holes. Swap over NFS may not work.

swapon automatically detects and rewrites swap space signature with old software suspend data (e.g S1SUSPEND, S2SUSPEND, ...). The problem is that if we don't do it, then we get data corruption the next time an attempt at unsuspending is made.

swapon may not work correctly when using a swap file with some versions of btrfs. This is due to the swap file implementation in the kernel expecting to be able to write to the file directly, without the assistance of the file system. Since btrfs is a copy-on-write file system, the file location may not be static and corruption can result. Btrfs actively disallows the use of files on its file systems by refusing to map the file. This can be seen in the system log as "swapon: swapfile has holes." One possible workaround is to map the file to a loopback device. This will allow the file system to determine the mapping properly but may come with a performance impact.

ENVIRONMENT

LIBMOUNT_DEBUG=0xffff
    enables debug output.

SEE ALSO
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

FILES
/dev/sd?? standard paging devices
/etc/fstab ascii filesystem description table

HISTORY
The swapon command appeared in 4.0BSD.

AVAILABILITY
The swapon command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.